#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ETextFilterSetting {
    SteamLabOptedOut = 0,
    Enabled = 1,
    EnabledAllowProfanity = 2,
    Disabled = 3,
}

impl ETextFilterSetting {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::SteamLabOptedOut as i32 => Some(Self::SteamLabOptedOut),
            x if x == Self::Enabled as i32 => Some(Self::Enabled),
            x if x == Self::EnabledAllowProfanity as i32 => Some(Self::EnabledAllowProfanity),
            x if x == Self::Disabled as i32 => Some(Self::Disabled),
            _ => None,
        }
    }
}
